/*
	SimpleView
	views some .tga .qrt .gif in individual windows
*/
#ifndef SVAPPLICATION_H
#define SVAPPLICATION_H

#include <app/Application.h>
#include <app/Message.h>
#include <interface/Rect.h>
#include <support/Debug.h>
#include "SVWindow.h"

#define OPEN_FILE 'opfi'
#define ACTIVATE_PIC 'acpi'
#define DO_POPUP_MENU 'dppm'

class SVApplication : public BApplication {
public:
	SVApplication( ulong sig );
	~SVApplication( );
	void AboutRequested( );
	void ReadyToRun( );
	void MessageReceived( BMessage * );
	void RefsReceived( BMessage * );
	void ArgvReceived( int, char ** );
	void FilePanelClosed( BMessage * );
	void AddPic( SVWindow *sv_win )
		{ pic_list->AddItem( sv_win );
		 UpdateSub( ); }
	void RemPic( SVWindow *sv_win )
		{ bool ok = pic_list->RemoveItem( sv_win ); ASSERT( ok==TRUE );
		 UpdateSub( ); }
	long NumPic( )
		{ return pic_list->CountItems( ); }
private:
	void UpdateSub( );
	record_ref directory;
	void OpenPic( record_ref );
	BList *pic_list;
	bool received_something;
};

#endif
//  Benot Triquet 1996