/*
	SimpleView
	views some .tga .qrt .gif in individual windows
*/
#ifndef SVWINDOW_H
#define SVWINDOW_H

#include <interface/Window.h>
#include <interface/View.h>
#include <interface/Bitmap.h>
#include <interface/ScrollBar.h>
#include <interface/ScrollView.h>
#include <interface/Point.h>
#include <interface/Rect.h>
#include <app/Message.h>

class SVView : public BView {
public:
	SVView( BBitmap * );
	~SVView( );
	void Draw( BRect );
	void MouseDown( BPoint );
	void MouseMoved( BPoint, ulong, BMessage * );
	void MouseUp( BPoint );
	void MessageReceived( BMessage * );
	bool MessageDropped( BMessage *, BPoint, BPoint );
private:
	BBitmap *pic;
	bool mouse_scroll;
	BPoint mouse_track;
};

class SVWindow : public BWindow {
public:
	SVWindow( char *, BBitmap * );
	void FrameResized( float, float );
	void ScrollBy( BPoint );
	bool QuitRequested( );
private:
	BScrollView *scroll_view;
	SVView *blit_view;
	float w, h;
};


#endif
//  Benot Triquet 1996